file(GLOB FILELIST
printf.c
vsnprintf.c
)
add_library(libc STATIC ${FILELIST})
target_include_directories(libc PUBLIC ${CMAKE_CURRENT_LIST_DIR})

target_link_libraries(libc PUBLIC STM32H7xx_HAL_Driver)
target_link_libraries(libc PUBLIC board)
